package org.expressolivre.cte.calendar.pesquisar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentSearchResultPage;
import org.expressolivre.cte.pages.calendar.AppointmentViewPage;
import org.testng.Assert;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Caso de Teste: EL-1266:Pesquisar pelo titulo e apagar um compromisso
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1266
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 3, 2011 at 10:15:36 AM
 * 
 */
public class PesquisarCompromissoPeloTituloEApagarTestCase extends
		BaseCalendarTestCase {

	/**
	 * Pesquisa um compromisso que exista na agenda.
	 * 
	 * @param titulo
	 *            Titulo a ser pesquisado.
	 */
	@Parameters({ "titulo", "descricao", "local", "data", "horaInicio",
			"horaFim" })
	@Test
	public void pesquisarCompromissoPeloTituloEApagar(String titulo,
			String descricao, String local, String data, String horaInicio,
			String horaFim) {
		cp.setSearchText(titulo);
		AppointmentSearchResultPage asrp = cp.searchAppointment();
		Assert.assertEquals(asrp.getResultsNumber(), "1 ocorrência encontrada.");
		Assert.assertEquals(asrp.getAppointmentSchedule(1), data + " - "
				+ horaInicio);
		String fullDescription = horaInicio + "-" + horaFim + " (A)\n" + titulo
				+ "\n" + descricao + "\nLocal: " + local;
		Assert.assertEquals(asrp.getAppointmentDescription(1), fullDescription);

		AppointmentViewPage avp = asrp.editAppointment(1);
		avp.removeAppointment();
	}

}
